Bug 999935 - [abrt] backintime-gnome-1.0.8-5.fc19: __init__.py:52:_init:RuntimeError: could not open display
Summary: [abrt] backintime-gnome-1.0.8-5.fc19: __init__.py:52:_init:RuntimeError: coul...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: backintime
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:44dad3ed2a40d9c18cbe586456d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-22 11:43 UTC by mitchell_hatley
Modified: 2013-09-23 00:23 UTC (History)
1 user (show)

Fixed In Version: backintime-1.0.26-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-22 04:25:12 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (908 bytes, text/plain)
2013-08-22 11:43 UTC, mitchell_hatley
no flags Details
File: environ (187 bytes, text/plain)
2013-08-22 11:43 UTC, mitchell_hatley
no flags Details

Description mitchell_hatley 2013-08-22 11:43:30 UTC
Version-Release number of selected component:
backintime-gnome-1.0.8-5.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        python /usr/share/backintime/gnome/app.py
dso_list:       pygtk2-2.24.0-7.fc19.x86_64
executable:     /usr/share/backintime/gnome/app.py
kernel:         3.10.5-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
__init__.py:52:_init:RuntimeError: could not open display

Traceback (most recent call last):
  File "/usr/share/backintime/gnome/app.py", line 29, in <module>
    import gtk
  File "/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py", line 64, in <module>
    _init()
  File "/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py", line 52, in _init
    _gtk.init_check()
RuntimeError: could not open display

Local variables in innermost frame:
sys: <module 'sys' (built-in)>
sys_path: ['/usr/share/backintime/gnome', '/usr/lib64/python27.zip', '/usr/lib64/python2.7', '/usr/lib64/python2.7/plat-linux2', '/usr/lib64/python2.7/lib-tk', '/usr/lib64/python2.7/lib-old', '/usr/lib64/python2.7/lib-dynload', '/usr/lib64/python2.7/site-packages', '/usr/lib64/python2.7/site-packages/gtk-2.0', '/usr/lib/python2.7/site-packages', '/usr/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg-info']

Comment 1 mitchell_hatley 2013-08-22 11:43:32 UTC
Created attachment 789162 [details]
File: backtrace

Comment 2 mitchell_hatley 2013-08-22 11:43:34 UTC
Created attachment 789163 [details]
File: environ

Comment 3 Fedora Update System 2013-09-11 09:29:26 UTC
backintime-1.0.26-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/backintime-1.0.26-1.fc20

Comment 4 Fedora Update System 2013-09-11 09:42:07 UTC
backintime-1.0.26-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/backintime-1.0.26-1.fc19

Comment 5 Fedora Update System 2013-09-11 16:55:40 UTC
Package backintime-1.0.26-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing backintime-1.0.26-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16399/backintime-1.0.26-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-09-12 10:39:29 UTC
backintime-1.0.26-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/backintime-1.0.26-2.fc19

Comment 7 Fedora Update System 2013-09-12 10:40:47 UTC
backintime-1.0.26-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/backintime-1.0.26-2.fc20

Comment 8 Fedora Update System 2013-09-22 04:25:12 UTC
backintime-1.0.26-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-09-23 00:23:52 UTC
backintime-1.0.26-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.